-- wndmainmenu.lua

require("blg/blgutilities.lua");
require("scripts/styles/style.lua");
require("scripts/styles/comicstyle.lua");

MakeState{
	type = "StateComic",
	name = "tutorial",
	
	basePath = gDialogTable.basePath,
	
	closeAtLastScreen = true,	
	useExitTransition = false,
	navigateWithClick = true,
	
	closingSound = "audio/FX/cp_item_pickup.ogg",

	closeAtLastScreenAfter = 200,
	
	endLabel = "End",
	nextLabel = "Next",
	prevLabel = "Previous",
	skipLabel = "Skip",
	
	
	BlgContainer
	{
		SetStyle(StandardFontStyle);
		transformMatrix = {x = 0, y = 0},

		BlgContainer{
			name = "comicLayer",
			transformMatrix = {x = 0, y = 0},
		},

		--[[
		BlgButton{
			name = "skipButton",
			label = "wnd_tutorial_skip",
			transformMatrix = {x = 512, y = 580},
			font = {
				standardFont,
				23,
				Color(182, 40, 154),
			},
			upState = {
					bitmap = "common/buttons/btn_default",
			},
			overState = {
				bitmap = "common/buttons/btn_rollover",
			},
			downState = {
				bitmap = "common/buttons/btn_pushed",
			},

			command = function()
				SkipComic();
			end,
		},
		
		BlgButton{
			name = "nextButton",
			label = "wnd_tutorial_next",
			transformMatrix = {x = 412, y = 580},
			font = {
				standardFont,
				23,
				Color(182, 40, 154),
			},
			upState = {
					bitmap = "common/buttons/btn_default",
			},
			overState = {
				bitmap = "common/buttons/btn_rollover",
			},
			downState = {
				bitmap = "common/buttons/btn_pushed",
			},

			command = function()
				NextPage();
			end,
		},
		
		BlgButton{
			name = "prevButton",
			label = "wnd_tutorial_prev",
			transformMatrix = {x = 312, y = 580},
		font = {
				standardFont,
				23,
				Color(182, 40, 154),
			},
			upState = {
					bitmap = "common/buttons/btn_default",
			},
			overState = {
				bitmap = "common/buttons/btn_rollover",
			},
			downState = {
				bitmap = "common/buttons/btn_pushed",
			},

			command = function()
				PreviousPage();
			end,
		},
		]]
	},
}
